PayOrbit
Sign in

Bill Payment · Credit Card

Credit Card Bill Pay

Pay credit card bill

POST request

URL: https://api.payorbit.in/api/v1/bill-payment/credit-card/bill-pay

Body

{
    "card": "3008",
    "amount": 7475.12,
    "mobile": "9876543210",
    "opcode": "ICIC",
    "orderid": "PAY_ID_123",
    "fetch_id": "TSB974ca11c49f641e08b17690a43631819"
}

Include a valid Bearer token with every request

Code sample

curl -X POST "https://api.vizodigital.com/api/v1/bill-payment/credit-card/bill-pay" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "mobile": "9876543210",
    "card": "3008",
    "amount": 7475.12,
    "fetch_id": "TSB974ca11c49f641e08b17690a43631819",
    "opcode": "ICIC",
    "orderid": "PAY_ID_123"
  }'

Success Response

{
    "data": {
        "utr": "TJ014363062020A6D7C1",
        "card": "xxxx3008",
        "txid": 51749154,
        "amount": 7475.12,
        "mobile": "9876543210",
        "orderid": "PAY_ID_123",
        "wallet_balance": 2524.88
    },
    "status": "success",
    "message": "Transaction Successful"
}

Failure response (duplicate)

{
    "status": "error",
    "message": "Duplicate order_id. Use a unique orderid for each payment.",
    "order_id": "PAY_ID_123"
}

Overview

Make a payment towards a credit card using the fetch_id from the Bill Fetch API.

Notes

  • Amount is deducted from your developer wallet before the provider call.
  • On provider failure, the wallet amount is refunded automatically.
  • pan is optional but mandatory for payments ≥ ₹50,000.

Body

application/json required

Bill payment request body

Schema

{
    "type": "object",
    "required": [
        "mobile",
        "card",
        "amount",
        "fetch_id",
        "opcode",
        "orderid"
    ],
    "properties": {
        "pan": {
            "type": "string",
            "description": "Mandatory when amount ≥ 50000"
        },
        "card": {
            "type": "string"
        },
        "amount": {
            "type": "number",
            "description": "Payment amount in INR"
        },
        "mobile": {
            "type": "string"
        },
        "opcode": {
            "type": "string"
        },
        "orderid": {
            "type": "string",
            "description": "Unique payment order ID"
        },
        "fetch_id": {
            "type": "string",
            "description": "From bill-fetch response"
        }
    }
}

Example

{
    "pan": "ABCDE1234F",
    "card": "3008",
    "amount": 7475.12,
    "mobile": "9876543210",
    "opcode": "ICIC",
    "orderid": "PAY_ID_123",
    "fetch_id": "TSB974ca11c49f641e08b17690a43631819"
}

Responses

  • 200 · application/json default

    Payment successful

    Example

    {
        "data": {
            "utr": "TJ014363062020A6D7C1",
            "card": "xxxx3008",
            "txid": 51749154,
            "amount": 7475.12,
            "mobile": "9876543210",
            "orderid": "PAY_ID_123",
            "wallet_balance": 2524.88
        },
        "status": "success",
        "message": "Transaction Successful"
    }

Rate Limits

60/min